com.amazonaws.services.simpleworkflow.model

## Class HistoryEvent

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.HistoryEvent

All Implemented Interfaces:
  Serializable, Cloneable

    public class HistoryEvent
    extends Object
    implements Serializable, Cloneable

Event within a workflow execution. A history event can be one of these types:

- WorkflowExecutionStarted: The workflow execution was started.
- WorkflowExecutionCompleted: The workflow execution was closed due to successful completion.
- WorkflowExecutionFailed: The workflow execution closed due to a failure.
- WorkflowExecutionTimedOut: The workflow execution was closed because a time out was exceeded.
- WorkflowExecutionCanceled: The workflow execution was successfully canceled and closed.
- WorkflowExecutionTerminated: The workflow execution was terminated.
- WorkflowExecutionContinuedAsNew: The workflow execution was closed and a new execution of the same type was created with the same workflowId.
- WorkflowExecutionCancelRequested: A request to cancel this workflow execution was made.
- DecisionTaskScheduled: A decision task was scheduled for the workflow execution.
- DecisionTaskStarted: The decision task was dispatched to a decider.
- DecisionTaskCompleted: The decider successfully completed a decision task by calling RespondDecisionTaskCompleted.
- DecisionTaskTimedOut: The decision task timed out.
- ActivityTaskScheduled: An activity task was scheduled for execution.
- ScheduleActivityTaskFailed: Failed to process ScheduleActivityTask decision. This happens when the decision is not configured properly, for example the activity type specified is not registered.
- ActivityTaskStarted: The scheduled activity task was dispatched to a worker.
- ActivityTaskCompleted: An activity worker successfully completed an activity task by calling RespondActivityTaskCompleted.
- ActivityTaskFailed: An activity worker failed an activity task by calling RespondActivityTaskFailed.
- ActivityTaskTimedOut: The activity task timed out.
- ActivityTaskCanceled: The activity task was successfully canceled.
- ActivityTaskCancelRequested: A `RequestCancelActivityTask` decision was received by the system.
- RequestCancelActivityTaskFailed: Failed to process RequestCancelActivityTask decision. This happens when the decision is not configured properly.
- WorkflowExecutionSignaled: An external signal was received for the workflow execution.
- MarkerRecorded: A marker was recorded in the workflow history as the result of a `RecordMarker` decision.
- TimerStarted: A timer was started for the workflow execution due to a `StartTimer` decision.
- StartTimerFailed: Failed to process StartTimer decision. This happens when the decision is not configured properly, for example a timer already exists with the specified timer ID.
- TimerFired: A timer, previously started for this workflow execution, fired.
- TimerCanceled: A timer, previously started for this workflow execution, was successfully canceled.
- CancelTimerFailed: Failed to process CancelTimer decision. This happens when the decision is not configured properly, for example no timer exists with the specified timer ID.
- StartChildWorkflowExecutionInitiated: A request was made to start a child workflow execution.
- StartChildWorkflowExecutionFailed: Failed to process StartChildWorkflowExecution decision. This happens when the decision is not configured properly, for example the workflow type specified is not registered.
- ChildWorkflowExecutionStarted: A child workflow execution was successfully started.
- ChildWorkflowExecutionCompleted: A child workflow execution, started by this workflow execution, completed successfully and was closed.
- ChildWorkflowExecutionFailed: A child workflow execution, started by this workflow execution, failed to complete successfully and was closed.
- ChildWorkflowExecutionTimedOut: A child workflow execution, started by this workflow execution, timed out and was closed.
- ChildWorkflowExecutionCanceled: A child workflow execution, started by this workflow execution, was canceled and closed.
- ChildWorkflowExecutionTerminated: A child workflow execution, started by this workflow execution, was terminated.
- SignalExternalWorkflowExecutionInitiated: A request to signal an external workflow was made.
- ExternalWorkflowExecutionSignaled: A signal, requested by this workflow execution, was successfully delivered to the target external workflow execution.
- SignalExternalWorkflowExecutionFailed: The request to signal an external workflow execution failed.
- RequestCancelExternalWorkflowExecutionInitiated: A request was made to request the cancellation of an external workflow execution.
- ExternalWorkflowExecutionCancelRequested: Request to cancel an external workflow execution was successfully delivered to the target execution.
- RequestCancelExternalWorkflowExecutionFailed: Request to cancel an external workflow execution failed.
- LambdaFunctionScheduled: An AWS Lambda function was scheduled for execution.
- LambdaFunctionStarted: The scheduled function was invoked in the AWS Lambda service.
- LambdaFunctionCompleted: The AWS Lambda function successfully completed.
- LambdaFunctionFailed: The AWS Lambda function execution failed.
- LambdaFunctionTimedOut: The AWS Lambda function execution timed out.
- ScheduleLambdaFunctionFailed: Failed to process ScheduleLambdaFunction decision. This happens when the workflow execution does not have the proper IAM role attached to invoke AWS Lambda functions.
- StartLambdaFunctionFailed: Failed to invoke the scheduled function in the AWS Lambda service. This happens when the AWS Lambda service is not available in the current region, or received too many requests.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`HistoryEvent()`

### Method Summary

All Methods Instance Methods Concrete Methods
`HistoryEvent` `clone()`
`boolean` `equals(Object obj)`
`ActivityTaskCanceledEventAttributes` `getActivityTaskCanceledEventAttributes()` If the event is of type `ActivityTaskCanceled` then this member is set and provides detailed information about the event.
`ActivityTaskCancelRequestedEventAttributes` `getActivityTaskCancelRequestedEventAttributes()` If the event is of type `ActivityTaskcancelRequested` then this member is set and provides detailed information about the event.
`ActivityTaskCompletedEventAttributes` `getActivityTaskCompletedEventAttributes()` If the event is of type `ActivityTaskCompleted` then this member is set and provides detailed information about the event.
`ActivityTaskFailedEventAttributes` `getActivityTaskFailedEventAttributes()` If the event is of type `ActivityTaskFailed` then this member is set and provides detailed information about the event.
`ActivityTaskScheduledEventAttributes` `getActivityTaskScheduledEventAttributes()` If the event is of type `ActivityTaskScheduled` then this member is set and provides detailed information about the event.
`ActivityTaskStartedEventAttributes` `getActivityTaskStartedEventAttributes()` If the event is of type `ActivityTaskStarted` then this member is set and provides detailed information about the event.
`ActivityTaskTimedOutEventAttributes` `getActivityTaskTimedOutEventAttributes()` If the event is of type `ActivityTaskTimedOut` then this member is set and provides detailed information about the event.
`CancelTimerFailedEventAttributes` `getCancelTimerFailedEventAttributes()` If the event is of type `CancelTimerFailed` then this member is set and provides detailed information about the event.
`CancelWorkflowExecutionFailedEventAttributes` `getCancelWorkflowExecutionFailedEventAttributes()` If the event is of type `CancelWorkflowExecutionFailed` then this member is set and provides detailed information about the event.
`ChildWorkflowExecutionCanceledEventAttributes` `getChildWorkflowExecutionCanceledEventAttributes()` If the event is of type `ChildWorkflowExecutionCanceled` then this member is set and provides detailed information about the event.
`ChildWorkflowExecutionCompletedEventAttributes` `getChildWorkflowExecutionCompletedEventAttributes()` If the event is of type `ChildWorkflowExecutionCompleted` then this member is set and provides detailed information about the event.
`ChildWorkflowExecutionFailedEventAttributes` `getChildWorkflowExecutionFailedEventAttributes()` If the event is of type `ChildWorkflowExecutionFailed` then this member is set and provides detailed information about the event.
`ChildWorkflowExecutionStartedEventAttributes` `getChildWorkflowExecutionStartedEventAttributes()` If the event is of type `ChildWorkflowExecutionStarted` then this member is set and provides detailed information about the event.
`ChildWorkflowExecutionTerminatedEventAttributes` `getChildWorkflowExecutionTerminatedEventAttributes()` If the event is of type `ChildWorkflowExecutionTerminated` then this member is set and provides detailed information about the event.
`ChildWorkflowExecutionTimedOutEventAttributes` `getChildWorkflowExecutionTimedOutEventAttributes()` If the event is of type `ChildWorkflowExecutionTimedOut` then this member is set and provides detailed information about the event.
`CompleteWorkflowExecutionFailedEventAttributes` `getCompleteWorkflowExecutionFailedEventAttributes()` If the event is of type `CompleteWorkflowExecutionFailed` then this member is set and provides detailed information about the event.
`ContinueAsNewWorkflowExecutionFailedEventAttributes` `getContinueAsNewWorkflowExecutionFailedEventAttributes()` If the event is of type `ContinueAsNewWorkflowExecutionFailed` then this member is set and provides detailed information about the event.
`DecisionTaskCompletedEventAttributes` `getDecisionTaskCompletedEventAttributes()` If the event is of type `DecisionTaskCompleted` then this member is set and provides detailed information about the event.
`DecisionTaskScheduledEventAttributes` `getDecisionTaskScheduledEventAttributes()` If the event is of type `DecisionTaskScheduled` then this member is set and provides detailed information about the event.
`DecisionTaskStartedEventAttributes` `getDecisionTaskStartedEventAttributes()` If the event is of type `DecisionTaskStarted` then this member is set and provides detailed information about the event.
`DecisionTaskTimedOutEventAttributes` `getDecisionTaskTimedOutEventAttributes()` If the event is of type `DecisionTaskTimedOut` then this member is set and provides detailed information about the event.
`Long` `getEventId()` The system generated ID of the event.
`Date` `getEventTimestamp()` The date and time when the event occurred.
`String` `getEventType()` The type of the history event.
`ExternalWorkflowExecutionCancelRequestedEventAttributes` `getExternalWorkflowExecutionCancelRequestedEventAttributes()` If the event is of type `ExternalWorkflowExecutionCancelRequested` then this member is set and provides detailed information about the event.
`ExternalWorkflowExecutionSignaledEventAttributes` `getExternalWorkflowExecutionSignaledEventAttributes()` If the event is of type `ExternalWorkflowExecutionSignaled` then this member is set and provides detailed information about the event.
`FailWorkflowExecutionFailedEventAttributes` `getFailWorkflowExecutionFailedEventAttributes()` If the event is of type `FailWorkflowExecutionFailed` then this member is set and provides detailed information about the event.
`LambdaFunctionCompletedEventAttributes` `getLambdaFunctionCompletedEventAttributes()`
`LambdaFunctionFailedEventAttributes` `getLambdaFunctionFailedEventAttributes()`
`LambdaFunctionScheduledEventAttributes` `getLambdaFunctionScheduledEventAttributes()`
`LambdaFunctionStartedEventAttributes` `getLambdaFunctionStartedEventAttributes()`
`LambdaFunctionTimedOutEventAttributes` `getLambdaFunctionTimedOutEventAttributes()`
`MarkerRecordedEventAttributes` `getMarkerRecordedEventAttributes()` If the event is of type `MarkerRecorded` then this member is set and provides detailed information about the event.
`RecordMarkerFailedEventAttributes` `getRecordMarkerFailedEventAttributes()` If the event is of type `DecisionTaskFailed` then this member is set and provides detailed information about the event.
`RequestCancelActivityTaskFailedEventAttributes` `getRequestCancelActivityTaskFailedEventAttributes()` If the event is of type `RequestCancelActivityTaskFailed` then this member is set and provides detailed information about the event.
`RequestCancelExternalWorkflowExecutionFailedEventAttributes` `getRequestCancelExternalWorkflowExecutionFailedEventAttributes()` If the event is of type `RequestCancelExternalWorkflowExecutionFailed` then this member is set and provides detailed information about the event.
`RequestCancelExternalWorkflowExecutionInitiatedEventAttributes` `getRequestCancelExternalWorkflowExecutionInitiatedEventAttributes()` If the event is of type `RequestCancelExternalWorkflowExecutionInitiated` then this member is set and provides detailed information about the event.
`ScheduleActivityTaskFailedEventAttributes` `getScheduleActivityTaskFailedEventAttributes()` If the event is of type `ScheduleActivityTaskFailed` then this member is set and provides detailed information about the event.
`ScheduleLambdaFunctionFailedEventAttributes` `getScheduleLambdaFunctionFailedEventAttributes()`
`SignalExternalWorkflowExecutionFailedEventAttributes` `getSignalExternalWorkflowExecutionFailedEventAttributes()` If the event is of type `SignalExternalWorkflowExecutionFailed` then this member is set and provides detailed information about the event.
`SignalExternalWorkflowExecutionInitiatedEventAttributes` `getSignalExternalWorkflowExecutionInitiatedEventAttributes()` If the event is of type `SignalExternalWorkflowExecutionInitiated` then this member is set and provides detailed information about the event.
`StartChildWorkflowExecutionFailedEventAttributes` `getStartChildWorkflowExecutionFailedEventAttributes()` If the event is of type `StartChildWorkflowExecutionFailed` then this member is set and provides detailed information about the event.
`StartChildWorkflowExecutionInitiatedEventAttributes` `getStartChildWorkflowExecutionInitiatedEventAttributes()` If the event is of type `StartChildWorkflowExecutionInitiated` then this member is set and provides detailed information about the event.
`StartLambdaFunctionFailedEventAttributes` `getStartLambdaFunctionFailedEventAttributes()`
`StartTimerFailedEventAttributes` `getStartTimerFailedEventAttributes()` If the event is of type `StartTimerFailed` then this member is set and provides detailed information about the event.
`TimerCanceledEventAttributes` `getTimerCanceledEventAttributes()` If the event is of type `TimerCanceled` then this member is set and provides detailed information about the event.
`TimerFiredEventAttributes` `getTimerFiredEventAttributes()` If the event is of type `TimerFired` then this member is set and provides detailed information about the event.
`TimerStartedEventAttributes` `getTimerStartedEventAttributes()` If the event is of type `TimerStarted` then this member is set and provides detailed information about the event.
`WorkflowExecutionCanceledEventAttributes` `getWorkflowExecutionCanceledEventAttributes()` If the event is of type `WorkflowExecutionCanceled` then this member is set and provides detailed information about the event.
`WorkflowExecutionCancelRequestedEventAttributes` `getWorkflowExecutionCancelRequestedEventAttributes()` If the event is of type `WorkflowExecutionCancelRequested` then this member is set and provides detailed information about the event.
`WorkflowExecutionCompletedEventAttributes` `getWorkflowExecutionCompletedEventAttributes()` If the event is of type `WorkflowExecutionCompleted` then this member is set and provides detailed information about the event.
`WorkflowExecutionContinuedAsNewEventAttributes` `getWorkflowExecutionContinuedAsNewEventAttributes()` If the event is of type `WorkflowExecutionContinuedAsNew` then this member is set and provides detailed information about the event.
`WorkflowExecutionFailedEventAttributes` `getWorkflowExecutionFailedEventAttributes()` If the event is of type `WorkflowExecutionFailed` then this member is set and provides detailed information about the event.
`WorkflowExecutionSignaledEventAttributes` `getWorkflowExecutionSignaledEventAttributes()` If the event is of type `WorkflowExecutionSignaled` then this member is set and provides detailed information about the event.
`WorkflowExecutionStartedEventAttributes` `getWorkflowExecutionStartedEventAttributes()` If the event is of type `WorkflowExecutionStarted` then this member is set and provides detailed information about the event.
`WorkflowExecutionTerminatedEventAttributes` `getWorkflowExecutionTerminatedEventAttributes()` If the event is of type `WorkflowExecutionTerminated` then this member is set and provides detailed information about the event.
`WorkflowExecutionTimedOutEventAttributes` `getWorkflowExecutionTimedOutEventAttributes()` If the event is of type `WorkflowExecutionTimedOut` then this member is set and provides detailed information about the event.
`int` `hashCode()`
`void` `setActivityTaskCanceledEventAttributes(ActivityTaskCanceledEventAttributes activityTaskCanceledEventAttributes)` If the event is of type `ActivityTaskCanceled` then this member is set and provides detailed information about the event.
`void` `setActivityTaskCancelRequestedEventAttributes(ActivityTaskCancelRequestedEventAttributes activityTaskCancelRequestedEventAttributes)` If the event is of type `ActivityTaskcancelRequested` then this member is set and provides detailed information about the event.
`void` `setActivityTaskCompletedEventAttributes(ActivityTaskCompletedEventAttributes activityTaskCompletedEventAttributes)` If the event is of type `ActivityTaskCompleted` then this member is set and provides detailed information about the event.
`void` `setActivityTaskFailedEventAttributes(ActivityTaskFailedEventAttributes activityTaskFailedEventAttributes)` If the event is of type `ActivityTaskFailed` then this member is set and provides detailed information about the event.
`void` `setActivityTaskScheduledEventAttributes(ActivityTaskScheduledEventAttributes activityTaskScheduledEventAttributes)` If the event is of type `ActivityTaskScheduled` then this member is set and provides detailed information about the event.
`void` `setActivityTaskStartedEventAttributes(ActivityTaskStartedEventAttributes activityTaskStartedEventAttributes)` If the event is of type `ActivityTaskStarted` then this member is set and provides detailed information about the event.
`void` `setActivityTaskTimedOutEventAttributes(ActivityTaskTimedOutEventAttributes activityTaskTimedOutEventAttributes)` If the event is of type `ActivityTaskTimedOut` then this member is set and provides detailed information about the event.
`void` `setCancelTimerFailedEventAttributes(CancelTimerFailedEventAttributes cancelTimerFailedEventAttributes)` If the event is of type `CancelTimerFailed` then this member is set and provides detailed information about the event.
`void` `setCancelWorkflowExecutionFailedEventAttributes(CancelWorkflowExecutionFailedEventAttributes cancelWorkflowExecutionFailedEventAttributes)` If the event is of type `CancelWorkflowExecutionFailed` then this member is set and provides detailed information about the event.
`void` `setChildWorkflowExecutionCanceledEventAttributes(ChildWorkflowExecutionCanceledEventAttributes childWorkflowExecutionCanceledEventAttributes)` If the event is of type `ChildWorkflowExecutionCanceled` then this member is set and provides detailed information about the event.
`void` `setChildWorkflowExecutionCompletedEventAttributes(ChildWorkflowExecutionCompletedEventAttributes childWorkflowExecutionCompletedEventAttributes)` If the event is of type `ChildWorkflowExecutionCompleted` then this member is set and provides detailed information about the event.
`void` `setChildWorkflowExecutionFailedEventAttributes(ChildWorkflowExecutionFailedEventAttributes childWorkflowExecutionFailedEventAttributes)` If the event is of type `ChildWorkflowExecutionFailed` then this member is set and provides detailed information about the event.
`void` `setChildWorkflowExecutionStartedEventAttributes(ChildWorkflowExecutionStartedEventAttributes childWorkflowExecutionStartedEventAttributes)` If the event is of type `ChildWorkflowExecutionStarted` then this member is set and provides detailed information about the event.
`void` `setChildWorkflowExecutionTerminatedEventAttributes(ChildWorkflowExecutionTerminatedEventAttributes childWorkflowExecutionTerminatedEventAttributes)` If the event is of type `ChildWorkflowExecutionTerminated` then this member is set and provides detailed information about the event.
`void` `setChildWorkflowExecutionTimedOutEventAttributes(ChildWorkflowExecutionTimedOutEventAttributes childWorkflowExecutionTimedOutEventAttributes)` If the event is of type `ChildWorkflowExecutionTimedOut` then this member is set and provides detailed information about the event.
`void` `setCompleteWorkflowExecutionFailedEventAttributes(CompleteWorkflowExecutionFailedEventAttributes completeWorkflowExecutionFailedEventAttributes)` If the event is of type `CompleteWorkflowExecutionFailed` then this member is set and provides detailed information about the event.
`void` `setContinueAsNewWorkflowExecutionFailedEventAttributes(ContinueAsNewWorkflowExecutionFailedEventAttributes continueAsNewWorkflowExecutionFailedEventAttributes)` If the event is of type `ContinueAsNewWorkflowExecutionFailed` then this member is set and provides detailed information about the event.
`void` `setDecisionTaskCompletedEventAttributes(DecisionTaskCompletedEventAttributes decisionTaskCompletedEventAttributes)` If the event is of type `DecisionTaskCompleted` then this member is set and provides detailed information about the event.
`void` `setDecisionTaskScheduledEventAttributes(DecisionTaskScheduledEventAttributes decisionTaskScheduledEventAttributes)` If the event is of type `DecisionTaskScheduled` then this member is set and provides detailed information about the event.
`void` `setDecisionTaskStartedEventAttributes(DecisionTaskStartedEventAttributes decisionTaskStartedEventAttributes)` If the event is of type `DecisionTaskStarted` then this member is set and provides detailed information about the event.
`void` `setDecisionTaskTimedOutEventAttributes(DecisionTaskTimedOutEventAttributes decisionTaskTimedOutEventAttributes)` If the event is of type `DecisionTaskTimedOut` then this member is set and provides detailed information about the event.
`void` `setEventId(Long eventId)` The system generated ID of the event.
`void` `setEventTimestamp(Date eventTimestamp)` The date and time when the event occurred.
`void` `setEventType(EventType eventType)` The type of the history event.
`void` `setEventType(String eventType)` The type of the history event.
`void` `setExternalWorkflowExecutionCancelRequestedEventAttributes(ExternalWorkflowExecutionCancelRequestedEventAttributes externalWorkflowExecutionCancelRequestedEventAttributes)` If the event is of type `ExternalWorkflowExecutionCancelRequested` then this member is set and provides detailed information about the event.
`void` `setExternalWorkflowExecutionSignaledEventAttributes(ExternalWorkflowExecutionSignaledEventAttributes externalWorkflowExecutionSignaledEventAttributes)` If the event is of type `ExternalWorkflowExecutionSignaled` then this member is set and provides detailed information about the event.
`void` `setFailWorkflowExecutionFailedEventAttributes(FailWorkflowExecutionFailedEventAttributes failWorkflowExecutionFailedEventAttributes)` If the event is of type `FailWorkflowExecutionFailed` then this member is set and provides detailed information about the event.
`void` `setLambdaFunctionCompletedEventAttributes(LambdaFunctionCompletedEventAttributes lambdaFunctionCompletedEventAttributes)`
`void` `setLambdaFunctionFailedEventAttributes(LambdaFunctionFailedEventAttributes lambdaFunctionFailedEventAttributes)`
`void` `setLambdaFunctionScheduledEventAttributes(LambdaFunctionScheduledEventAttributes lambdaFunctionScheduledEventAttributes)`
`void` `setLambdaFunctionStartedEventAttributes(LambdaFunctionStartedEventAttributes lambdaFunctionStartedEventAttributes)`
`void` `setLambdaFunctionTimedOutEventAttributes(LambdaFunctionTimedOutEventAttributes lambdaFunctionTimedOutEventAttributes)`
`void` `setMarkerRecordedEventAttributes(MarkerRecordedEventAttributes markerRecordedEventAttributes)` If the event is of type `MarkerRecorded` then this member is set and provides detailed information about the event.
`void` `setRecordMarkerFailedEventAttributes(RecordMarkerFailedEventAttributes recordMarkerFailedEventAttributes)` If the event is of type `DecisionTaskFailed` then this member is set and provides detailed information about the event.
`void` `setRequestCancelActivityTaskFailedEventAttributes(RequestCancelActivityTaskFailedEventAttributes requestCancelActivityTaskFailedEventAttributes)` If the event is of type `RequestCancelActivityTaskFailed` then this member is set and provides detailed information about the event.
`void` `setRequestCancelExternalWorkflowExecutionFailedEventAttributes(RequestCancelExternalWorkflowExecutionFailedEventAttributes requestCancelExternalWorkflowExecutionFailedEventAttributes)` If the event is of type `RequestCancelExternalWorkflowExecutionFailed` then this member is set and provides detailed information about the event.
`void` `setRequestCancelExternalWorkflowExecutionInitiatedEventAttributes(RequestCancelExternalWorkflowExecutionInitiatedEventAttributes requestCancelExternalWorkflowExecutionInitiatedEventAttributes)` If the event is of type `RequestCancelExternalWorkflowExecutionInitiated` then this member is set and provides detailed information about the event.
`void` `setScheduleActivityTaskFailedEventAttributes(ScheduleActivityTaskFailedEventAttributes scheduleActivityTaskFailedEventAttributes)` If the event is of type `ScheduleActivityTaskFailed` then this member is set and provides detailed information about the event.
`void` `setScheduleLambdaFunctionFailedEventAttributes(ScheduleLambdaFunctionFailedEventAttributes scheduleLambdaFunctionFailedEventAttributes)`
`void` `setSignalExternalWorkflowExecutionFailedEventAttributes(SignalExternalWorkflowExecutionFailedEventAttributes signalExternalWorkflowExecutionFailedEventAttributes)` If the event is of type `SignalExternalWorkflowExecutionFailed` then this member is set and provides detailed information about the event.
`void` `setSignalExternalWorkflowExecutionInitiatedEventAttributes(SignalExternalWorkflowExecutionInitiatedEventAttributes signalExternalWorkflowExecutionInitiatedEventAttributes)` If the event is of type `SignalExternalWorkflowExecutionInitiated` then this member is set and provides detailed information about the event.
`void` `setStartChildWorkflowExecutionFailedEventAttributes(StartChildWorkflowExecutionFailedEventAttributes startChildWorkflowExecutionFailedEventAttributes)` If the event is of type `StartChildWorkflowExecutionFailed` then this member is set and provides detailed information about the event.
`void` `setStartChildWorkflowExecutionInitiatedEventAttributes(StartChildWorkflowExecutionInitiatedEventAttributes startChildWorkflowExecutionInitiatedEventAttributes)` If the event is of type `StartChildWorkflowExecutionInitiated` then this member is set and provides detailed information about the event.
`void` `setStartLambdaFunctionFailedEventAttributes(StartLambdaFunctionFailedEventAttributes startLambdaFunctionFailedEventAttributes)`
`void` `setStartTimerFailedEventAttributes(StartTimerFailedEventAttributes startTimerFailedEventAttributes)` If the event is of type `StartTimerFailed` then this member is set and provides detailed information about the event.
`void` `setTimerCanceledEventAttributes(TimerCanceledEventAttributes timerCanceledEventAttributes)` If the event is of type `TimerCanceled` then this member is set and provides detailed information about the event.
`void` `setTimerFiredEventAttributes(TimerFiredEventAttributes timerFiredEventAttributes)` If the event is of type `TimerFired` then this member is set and provides detailed information about the event.
`void` `setTimerStartedEventAttributes(TimerStartedEventAttributes timerStartedEventAttributes)` If the event is of type `TimerStarted` then this member is set and provides detailed information about the event.
`void` `setWorkflowExecutionCanceledEventAttributes(WorkflowExecutionCanceledEventAttributes workflowExecutionCanceledEventAttributes)` If the event is of type `WorkflowExecutionCanceled` then this member is set and provides detailed information about the event.
`void` `setWorkflowExecutionCancelRequestedEventAttributes(WorkflowExecutionCancelRequestedEventAttributes workflowExecutionCancelRequestedEventAttributes)` If the event is of type `WorkflowExecutionCancelRequested` then this member is set and provides detailed information about the event.
`void` `setWorkflowExecutionCompletedEventAttributes(WorkflowExecutionCompletedEventAttributes workflowExecutionCompletedEventAttributes)` If the event is of type `WorkflowExecutionCompleted` then this member is set and provides detailed information about the event.
`void` `setWorkflowExecutionContinuedAsNewEventAttributes(WorkflowExecutionContinuedAsNewEventAttributes workflowExecutionContinuedAsNewEventAttributes)` If the event is of type `WorkflowExecutionContinuedAsNew` then this member is set and provides detailed information about the event.
`void` `setWorkflowExecutionFailedEventAttributes(WorkflowExecutionFailedEventAttributes workflowExecutionFailedEventAttributes)` If the event is of type `WorkflowExecutionFailed` then this member is set and provides detailed information about the event.
`void` `setWorkflowExecutionSignaledEventAttributes(WorkflowExecutionSignaledEventAttributes workflowExecutionSignaledEventAttributes)` If the event is of type `WorkflowExecutionSignaled` then this member is set and provides detailed information about the event.
`void` `setWorkflowExecutionStartedEventAttributes(WorkflowExecutionStartedEventAttributes workflowExecutionStartedEventAttributes)` If the event is of type `WorkflowExecutionStarted` then this member is set and provides detailed information about the event.
`void` `setWorkflowExecutionTerminatedEventAttributes(WorkflowExecutionTerminatedEventAttributes workflowExecutionTerminatedEventAttributes)` If the event is of type `WorkflowExecutionTerminated` then this member is set and provides detailed information about the event.
`void` `setWorkflowExecutionTimedOutEventAttributes(WorkflowExecutionTimedOutEventAttributes workflowExecutionTimedOutEventAttributes)` If the event is of type `WorkflowExecutionTimedOut` then this member is set and provides detailed information about the event.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`HistoryEvent` `withActivityTaskCanceledEventAttributes(ActivityTaskCanceledEventAttributes activityTaskCanceledEventAttributes)` If the event is of type `ActivityTaskCanceled` then this member is set and provides detailed information about the event.
`HistoryEvent` `withActivityTaskCancelRequestedEventAttributes(ActivityTaskCancelRequestedEventAttributes activityTaskCancelRequestedEventAttributes)` If the event is of type `ActivityTaskcancelRequested` then this member is set and provides detailed information about the event.
`HistoryEvent` `withActivityTaskCompletedEventAttributes(ActivityTaskCompletedEventAttributes activityTaskCompletedEventAttributes)` If the event is of type `ActivityTaskCompleted` then this member is set and provides detailed information about the event.
`HistoryEvent` `withActivityTaskFailedEventAttributes(ActivityTaskFailedEventAttributes activityTaskFailedEventAttributes)` If the event is of type `ActivityTaskFailed` then this member is set and provides detailed information about the event.
`HistoryEvent` `withActivityTaskScheduledEventAttributes(ActivityTaskScheduledEventAttributes activityTaskScheduledEventAttributes)` If the event is of type `ActivityTaskScheduled` then this member is set and provides detailed information about the event.
`HistoryEvent` `withActivityTaskStartedEventAttributes(ActivityTaskStartedEventAttributes activityTaskStartedEventAttributes)` If the event is of type `ActivityTaskStarted` then this member is set and provides detailed information about the event.
`HistoryEvent` `withActivityTaskTimedOutEventAttributes(ActivityTaskTimedOutEventAttributes activityTaskTimedOutEventAttributes)` If the event is of type `ActivityTaskTimedOut` then this member is set and provides detailed information about the event.
`HistoryEvent` `withCancelTimerFailedEventAttributes(CancelTimerFailedEventAttributes cancelTimerFailedEventAttributes)` If the event is of type `CancelTimerFailed` then this member is set and provides detailed information about the event.
`HistoryEvent` `withCancelWorkflowExecutionFailedEventAttributes(CancelWorkflowExecutionFailedEventAttributes cancelWorkflowExecutionFailedEventAttributes)` If the event is of type `CancelWorkflowExecutionFailed` then this member is set and provides detailed information about the event.
`HistoryEvent` `withChildWorkflowExecutionCanceledEventAttributes(ChildWorkflowExecutionCanceledEventAttributes childWorkflowExecutionCanceledEventAttributes)` If the event is of type `ChildWorkflowExecutionCanceled` then this member is set and provides detailed information about the event.
`HistoryEvent` `withChildWorkflowExecutionCompletedEventAttributes(ChildWorkflowExecutionCompletedEventAttributes childWorkflowExecutionCompletedEventAttributes)` If the event is of type `ChildWorkflowExecutionCompleted` then this member is set and provides detailed information about the event.
`HistoryEvent` `withChildWorkflowExecutionFailedEventAttributes(ChildWorkflowExecutionFailedEventAttributes childWorkflowExecutionFailedEventAttributes)` If the event is of type `ChildWorkflowExecutionFailed` then this member is set and provides detailed information about the event.
`HistoryEvent` `withChildWorkflowExecutionStartedEventAttributes(ChildWorkflowExecutionStartedEventAttributes childWorkflowExecutionStartedEventAttributes)` If the event is of type `ChildWorkflowExecutionStarted` then this member is set and provides detailed information about the event.
`HistoryEvent` `withChildWorkflowExecutionTerminatedEventAttributes(ChildWorkflowExecutionTerminatedEventAttributes childWorkflowExecutionTerminatedEventAttributes)` If the event is of type `ChildWorkflowExecutionTerminated` then this member is set and provides detailed information about the event.
`HistoryEvent` `withChildWorkflowExecutionTimedOutEventAttributes(ChildWorkflowExecutionTimedOutEventAttributes childWorkflowExecutionTimedOutEventAttributes)` If the event is of type `ChildWorkflowExecutionTimedOut` then this member is set and provides detailed information about the event.
`HistoryEvent` `withCompleteWorkflowExecutionFailedEventAttributes(CompleteWorkflowExecutionFailedEventAttributes completeWorkflowExecutionFailedEventAttributes)` If the event is of type `CompleteWorkflowExecutionFailed` then this member is set and provides detailed information about the event.
`HistoryEvent` `withContinueAsNewWorkflowExecutionFailedEventAttributes(ContinueAsNewWorkflowExecutionFailedEventAttributes continueAsNewWorkflowExecutionFailedEventAttributes)` If the event is of type `ContinueAsNewWorkflowExecutionFailed` then this member is set and provides detailed information about the event.
`HistoryEvent` `withDecisionTaskCompletedEventAttributes(DecisionTaskCompletedEventAttributes decisionTaskCompletedEventAttributes)` If the event is of type `DecisionTaskCompleted` then this member is set and provides detailed information about the event.
`HistoryEvent` `withDecisionTaskScheduledEventAttributes(DecisionTaskScheduledEventAttributes decisionTaskScheduledEventAttributes)` If the event is of type `DecisionTaskScheduled` then this member is set and provides detailed information about the event.
`HistoryEvent` `withDecisionTaskStartedEventAttributes(DecisionTaskStartedEventAttributes decisionTaskStartedEventAttributes)` If the event is of type `DecisionTaskStarted` then this member is set and provides detailed information about the event.
`HistoryEvent` `withDecisionTaskTimedOutEventAttributes(DecisionTaskTimedOutEventAttributes decisionTaskTimedOutEventAttributes)` If the event is of type `DecisionTaskTimedOut` then this member is set and provides detailed information about the event.
`HistoryEvent` `withEventId(Long eventId)` The system generated ID of the event.
`HistoryEvent` `withEventTimestamp(Date eventTimestamp)` The date and time when the event occurred.
`HistoryEvent` `withEventType(EventType eventType)` The type of the history event.
`HistoryEvent` `withEventType(String eventType)` The type of the history event.
`HistoryEvent` `withExternalWorkflowExecutionCancelRequestedEventAttributes(ExternalWorkflowExecutionCancelRequestedEventAttributes externalWorkflowExecutionCancelRequestedEventAttributes)` If the event is of type `ExternalWorkflowExecutionCancelRequested` then this member is set and provides detailed information about the event.
`HistoryEvent` `withExternalWorkflowExecutionSignaledEventAttributes(ExternalWorkflowExecutionSignaledEventAttributes externalWorkflowExecutionSignaledEventAttributes)` If the event is of type `ExternalWorkflowExecutionSignaled` then this member is set and provides detailed information about the event.
`HistoryEvent` `withFailWorkflowExecutionFailedEventAttributes(FailWorkflowExecutionFailedEventAttributes failWorkflowExecutionFailedEventAttributes)` If the event is of type `FailWorkflowExecutionFailed` then this member is set and provides detailed information about the event.
`HistoryEvent` `withLambdaFunctionCompletedEventAttributes(LambdaFunctionCompletedEventAttributes lambdaFunctionCompletedEventAttributes)`
`HistoryEvent` `withLambdaFunctionFailedEventAttributes(LambdaFunctionFailedEventAttributes lambdaFunctionFailedEventAttributes)`
`HistoryEvent` `withLambdaFunctionScheduledEventAttributes(LambdaFunctionScheduledEventAttributes lambdaFunctionScheduledEventAttributes)`
`HistoryEvent` `withLambdaFunctionStartedEventAttributes(LambdaFunctionStartedEventAttributes lambdaFunctionStartedEventAttributes)`
`HistoryEvent` `withLambdaFunctionTimedOutEventAttributes(LambdaFunctionTimedOutEventAttributes lambdaFunctionTimedOutEventAttributes)`
`HistoryEvent` `withMarkerRecordedEventAttributes(MarkerRecordedEventAttributes markerRecordedEventAttributes)` If the event is of type `MarkerRecorded` then this member is set and provides detailed information about the event.
`HistoryEvent` `withRecordMarkerFailedEventAttributes(RecordMarkerFailedEventAttributes recordMarkerFailedEventAttributes)` If the event is of type `DecisionTaskFailed` then this member is set and provides detailed information about the event.
`HistoryEvent` `withRequestCancelActivityTaskFailedEventAttributes(RequestCancelActivityTaskFailedEventAttributes requestCancelActivityTaskFailedEventAttributes)` If the event is of type `RequestCancelActivityTaskFailed` then this member is set and provides detailed information about the event.
`HistoryEvent` `withRequestCancelExternalWorkflowExecutionFailedEventAttributes(RequestCancelExternalWorkflowExecutionFailedEventAttributes requestCancelExternalWorkflowExecutionFailedEventAttributes)` If the event is of type `RequestCancelExternalWorkflowExecutionFailed` then this member is set and provides detailed information about the event.
`HistoryEvent` `withRequestCancelExternalWorkflowExecutionInitiatedEventAttributes(RequestCancelExternalWorkflowExecutionInitiatedEventAttributes requestCancelExternalWorkflowExecutionInitiatedEventAttributes)` If the event is of type `RequestCancelExternalWorkflowExecutionInitiated` then this member is set and provides detailed information about the event.
`HistoryEvent` `withScheduleActivityTaskFailedEventAttributes(ScheduleActivityTaskFailedEventAttributes scheduleActivityTaskFailedEventAttributes)` If the event is of type `ScheduleActivityTaskFailed` then this member is set and provides detailed information about the event.
`HistoryEvent` `withScheduleLambdaFunctionFailedEventAttributes(ScheduleLambdaFunctionFailedEventAttributes scheduleLambdaFunctionFailedEventAttributes)`
`HistoryEvent` `withSignalExternalWorkflowExecutionFailedEventAttributes(SignalExternalWorkflowExecutionFailedEventAttributes signalExternalWorkflowExecutionFailedEventAttributes)` If the event is of type `SignalExternalWorkflowExecutionFailed` then this member is set and provides detailed information about the event.
`HistoryEvent` `withSignalExternalWorkflowExecutionInitiatedEventAttributes(SignalExternalWorkflowExecutionInitiatedEventAttributes signalExternalWorkflowExecutionInitiatedEventAttributes)` If the event is of type `SignalExternalWorkflowExecutionInitiated` then this member is set and provides detailed information about the event.
`HistoryEvent` `withStartChildWorkflowExecutionFailedEventAttributes(StartChildWorkflowExecutionFailedEventAttributes startChildWorkflowExecutionFailedEventAttributes)` If the event is of type `StartChildWorkflowExecutionFailed` then this member is set and provides detailed information about the event.
`HistoryEvent` `withStartChildWorkflowExecutionInitiatedEventAttributes(StartChildWorkflowExecutionInitiatedEventAttributes startChildWorkflowExecutionInitiatedEventAttributes)` If the event is of type `StartChildWorkflowExecutionInitiated` then this member is set and provides detailed information about the event.
`HistoryEvent` `withStartLambdaFunctionFailedEventAttributes(StartLambdaFunctionFailedEventAttributes startLambdaFunctionFailedEventAttributes)`
`HistoryEvent` `withStartTimerFailedEventAttributes(StartTimerFailedEventAttributes startTimerFailedEventAttributes)` If the event is of type `StartTimerFailed` then this member is set and provides detailed information about the event.
`HistoryEvent` `withTimerCanceledEventAttributes(TimerCanceledEventAttributes timerCanceledEventAttributes)` If the event is of type `TimerCanceled` then this member is set and provides detailed information about the event.
`HistoryEvent` `withTimerFiredEventAttributes(TimerFiredEventAttributes timerFiredEventAttributes)` If the event is of type `TimerFired` then this member is set and provides detailed information about the event.
`HistoryEvent` `withTimerStartedEventAttributes(TimerStartedEventAttributes timerStartedEventAttributes)` If the event is of type `TimerStarted` then this member is set and provides detailed information about the event.
`HistoryEvent` `withWorkflowExecutionCanceledEventAttributes(WorkflowExecutionCanceledEventAttributes workflowExecutionCanceledEventAttributes)` If the event is of type `WorkflowExecutionCanceled` then this member is set and provides detailed information about the event.
`HistoryEvent` `withWorkflowExecutionCancelRequestedEventAttributes(WorkflowExecutionCancelRequestedEventAttributes workflowExecutionCancelRequestedEventAttributes)` If the event is of type `WorkflowExecutionCancelRequested` then this member is set and provides detailed information about the event.
`HistoryEvent` `withWorkflowExecutionCompletedEventAttributes(WorkflowExecutionCompletedEventAttributes workflowExecutionCompletedEventAttributes)` If the event is of type `WorkflowExecutionCompleted` then this member is set and provides detailed information about the event.
`HistoryEvent` `withWorkflowExecutionContinuedAsNewEventAttributes(WorkflowExecutionContinuedAsNewEventAttributes workflowExecutionContinuedAsNewEventAttributes)` If the event is of type `WorkflowExecutionContinuedAsNew` then this member is set and provides detailed information about the event.
`HistoryEvent` `withWorkflowExecutionFailedEventAttributes(WorkflowExecutionFailedEventAttributes workflowExecutionFailedEventAttributes)` If the event is of type `WorkflowExecutionFailed` then this member is set and provides detailed information about the event.
`HistoryEvent` `withWorkflowExecutionSignaledEventAttributes(WorkflowExecutionSignaledEventAttributes workflowExecutionSignaledEventAttributes)` If the event is of type `WorkflowExecutionSignaled` then this member is set and provides detailed information about the event.
`HistoryEvent` `withWorkflowExecutionStartedEventAttributes(WorkflowExecutionStartedEventAttributes workflowExecutionStartedEventAttributes)` If the event is of type `WorkflowExecutionStarted` then this member is set and provides detailed information about the event.
`HistoryEvent` `withWorkflowExecutionTerminatedEventAttributes(WorkflowExecutionTerminatedEventAttributes workflowExecutionTerminatedEventAttributes)` If the event is of type `WorkflowExecutionTerminated` then this member is set and provides detailed information about the event.
`HistoryEvent` `withWorkflowExecutionTimedOutEventAttributes(WorkflowExecutionTimedOutEventAttributes workflowExecutionTimedOutEventAttributes)` If the event is of type `WorkflowExecutionTimedOut` then this member is set and provides detailed information about the event.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HistoryEvent

    public HistoryEvent()

### Method Detail

#### setEventTimestamp

    public void setEventTimestamp(Date eventTimestamp)

The date and time when the event occurred.

Parameters:
  `eventTimestamp` - The date and time when the event occurred.

#### getEventTimestamp

    public Date getEventTimestamp()

The date and time when the event occurred.

Returns:
  The date and time when the event occurred.

#### withEventTimestamp

    public HistoryEvent withEventTimestamp(Date eventTimestamp)

The date and time when the event occurred.

Parameters:
  `eventTimestamp` - The date and time when the event occurred.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setEventType

    public void setEventType(String eventType)

The type of the history event.

Parameters:
  `eventType` - The type of the history event.
See Also:
  `EventType`

#### getEventType

    public String getEventType()

The type of the history event.

Returns:
  The type of the history event.
See Also:
  `EventType`

#### withEventType

    public HistoryEvent withEventType(String eventType)

The type of the history event.

Parameters:
  `eventType` - The type of the history event.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `EventType`

#### setEventType

    public void setEventType(EventType eventType)

The type of the history event.

Parameters:
  `eventType` - The type of the history event.
See Also:
  `EventType`

#### withEventType

    public HistoryEvent withEventType(EventType eventType)

The type of the history event.

Parameters:
  `eventType` - The type of the history event.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `EventType`

#### setEventId

    public void setEventId(Long eventId)

The system generated ID of the event. This ID uniquely identifies the event with in the workflow execution history.

Parameters:
  `eventId` - The system generated ID of the event. This ID uniquely identifies the event with in the workflow execution history.

#### getEventId

    public Long getEventId()

The system generated ID of the event. This ID uniquely identifies the event with in the workflow execution history.

Returns:
  The system generated ID of the event. This ID uniquely identifies the event with in the workflow execution history.

#### withEventId

    public HistoryEvent withEventId(Long eventId)

The system generated ID of the event. This ID uniquely identifies the event with in the workflow execution history.

Parameters:
  `eventId` - The system generated ID of the event. This ID uniquely identifies the event with in the workflow execution history.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setWorkflowExecutionStartedEventAttributes

    public void setWorkflowExecutionStartedEventAttributes(WorkflowExecutionStartedEventAttributes workflowExecutionStartedEventAttributes)

If the event is of type `WorkflowExecutionStarted` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `workflowExecutionStartedEventAttributes` - If the event is of type `WorkflowExecutionStarted` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getWorkflowExecutionStartedEventAttributes

    public WorkflowExecutionStartedEventAttributes getWorkflowExecutionStartedEventAttributes()

If the event is of type `WorkflowExecutionStarted` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `WorkflowExecutionStarted` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withWorkflowExecutionStartedEventAttributes

    public HistoryEvent withWorkflowExecutionStartedEventAttributes(WorkflowExecutionStartedEventAttributes workflowExecutionStartedEventAttributes)

If the event is of type `WorkflowExecutionStarted` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `workflowExecutionStartedEventAttributes` - If the event is of type `WorkflowExecutionStarted` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setWorkflowExecutionCompletedEventAttributes

    public void setWorkflowExecutionCompletedEventAttributes(WorkflowExecutionCompletedEventAttributes workflowExecutionCompletedEventAttributes)

If the event is of type `WorkflowExecutionCompleted` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `workflowExecutionCompletedEventAttributes` - If the event is of type `WorkflowExecutionCompleted` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getWorkflowExecutionCompletedEventAttributes

    public WorkflowExecutionCompletedEventAttributes getWorkflowExecutionCompletedEventAttributes()

If the event is of type `WorkflowExecutionCompleted` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `WorkflowExecutionCompleted` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withWorkflowExecutionCompletedEventAttributes

    public HistoryEvent withWorkflowExecutionCompletedEventAttributes(WorkflowExecutionCompletedEventAttributes workflowExecutionCompletedEventAttributes)

If the event is of type `WorkflowExecutionCompleted` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `workflowExecutionCompletedEventAttributes` - If the event is of type `WorkflowExecutionCompleted` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCompleteWorkflowExecutionFailedEventAttributes

    public void setCompleteWorkflowExecutionFailedEventAttributes(CompleteWorkflowExecutionFailedEventAttributes completeWorkflowExecutionFailedEventAttributes)

If the event is of type `CompleteWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `completeWorkflowExecutionFailedEventAttributes` - If the event is of type `CompleteWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getCompleteWorkflowExecutionFailedEventAttributes

    public CompleteWorkflowExecutionFailedEventAttributes getCompleteWorkflowExecutionFailedEventAttributes()

If the event is of type `CompleteWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `CompleteWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withCompleteWorkflowExecutionFailedEventAttributes

    public HistoryEvent withCompleteWorkflowExecutionFailedEventAttributes(CompleteWorkflowExecutionFailedEventAttributes completeWorkflowExecutionFailedEventAttributes)

If the event is of type `CompleteWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `completeWorkflowExecutionFailedEventAttributes` - If the event is of type `CompleteWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setWorkflowExecutionFailedEventAttributes

    public void setWorkflowExecutionFailedEventAttributes(WorkflowExecutionFailedEventAttributes workflowExecutionFailedEventAttributes)

If the event is of type `WorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `workflowExecutionFailedEventAttributes` - If the event is of type `WorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getWorkflowExecutionFailedEventAttributes

    public WorkflowExecutionFailedEventAttributes getWorkflowExecutionFailedEventAttributes()

If the event is of type `WorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `WorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withWorkflowExecutionFailedEventAttributes

    public HistoryEvent withWorkflowExecutionFailedEventAttributes(WorkflowExecutionFailedEventAttributes workflowExecutionFailedEventAttributes)

If the event is of type `WorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `workflowExecutionFailedEventAttributes` - If the event is of type `WorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setFailWorkflowExecutionFailedEventAttributes

    public void setFailWorkflowExecutionFailedEventAttributes(FailWorkflowExecutionFailedEventAttributes failWorkflowExecutionFailedEventAttributes)

If the event is of type `FailWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `failWorkflowExecutionFailedEventAttributes` - If the event is of type `FailWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getFailWorkflowExecutionFailedEventAttributes

    public FailWorkflowExecutionFailedEventAttributes getFailWorkflowExecutionFailedEventAttributes()

If the event is of type `FailWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `FailWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withFailWorkflowExecutionFailedEventAttributes

    public HistoryEvent withFailWorkflowExecutionFailedEventAttributes(FailWorkflowExecutionFailedEventAttributes failWorkflowExecutionFailedEventAttributes)

If the event is of type `FailWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `failWorkflowExecutionFailedEventAttributes` - If the event is of type `FailWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setWorkflowExecutionTimedOutEventAttributes

    public void setWorkflowExecutionTimedOutEventAttributes(WorkflowExecutionTimedOutEventAttributes workflowExecutionTimedOutEventAttributes)

If the event is of type `WorkflowExecutionTimedOut` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `workflowExecutionTimedOutEventAttributes` - If the event is of type `WorkflowExecutionTimedOut` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getWorkflowExecutionTimedOutEventAttributes

    public WorkflowExecutionTimedOutEventAttributes getWorkflowExecutionTimedOutEventAttributes()

If the event is of type `WorkflowExecutionTimedOut` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `WorkflowExecutionTimedOut` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withWorkflowExecutionTimedOutEventAttributes

    public HistoryEvent withWorkflowExecutionTimedOutEventAttributes(WorkflowExecutionTimedOutEventAttributes workflowExecutionTimedOutEventAttributes)

If the event is of type `WorkflowExecutionTimedOut` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `workflowExecutionTimedOutEventAttributes` - If the event is of type `WorkflowExecutionTimedOut` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setWorkflowExecutionCanceledEventAttributes

    public void setWorkflowExecutionCanceledEventAttributes(WorkflowExecutionCanceledEventAttributes workflowExecutionCanceledEventAttributes)

If the event is of type `WorkflowExecutionCanceled` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `workflowExecutionCanceledEventAttributes` - If the event is of type `WorkflowExecutionCanceled` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getWorkflowExecutionCanceledEventAttributes

    public WorkflowExecutionCanceledEventAttributes getWorkflowExecutionCanceledEventAttributes()

If the event is of type `WorkflowExecutionCanceled` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `WorkflowExecutionCanceled` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withWorkflowExecutionCanceledEventAttributes

    public HistoryEvent withWorkflowExecutionCanceledEventAttributes(WorkflowExecutionCanceledEventAttributes workflowExecutionCanceledEventAttributes)

If the event is of type `WorkflowExecutionCanceled` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `workflowExecutionCanceledEventAttributes` - If the event is of type `WorkflowExecutionCanceled` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCancelWorkflowExecutionFailedEventAttributes

    public void setCancelWorkflowExecutionFailedEventAttributes(CancelWorkflowExecutionFailedEventAttributes cancelWorkflowExecutionFailedEventAttributes)

If the event is of type `CancelWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `cancelWorkflowExecutionFailedEventAttributes` - If the event is of type `CancelWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getCancelWorkflowExecutionFailedEventAttributes

    public CancelWorkflowExecutionFailedEventAttributes getCancelWorkflowExecutionFailedEventAttributes()

If the event is of type `CancelWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `CancelWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withCancelWorkflowExecutionFailedEventAttributes

    public HistoryEvent withCancelWorkflowExecutionFailedEventAttributes(CancelWorkflowExecutionFailedEventAttributes cancelWorkflowExecutionFailedEventAttributes)

If the event is of type `CancelWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `cancelWorkflowExecutionFailedEventAttributes` - If the event is of type `CancelWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setWorkflowExecutionContinuedAsNewEventAttributes

    public void setWorkflowExecutionContinuedAsNewEventAttributes(WorkflowExecutionContinuedAsNewEventAttributes workflowExecutionContinuedAsNewEventAttributes)

If the event is of type `WorkflowExecutionContinuedAsNew` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `workflowExecutionContinuedAsNewEventAttributes` - If the event is of type `WorkflowExecutionContinuedAsNew` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getWorkflowExecutionContinuedAsNewEventAttributes

    public WorkflowExecutionContinuedAsNewEventAttributes getWorkflowExecutionContinuedAsNewEventAttributes()

If the event is of type `WorkflowExecutionContinuedAsNew` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `WorkflowExecutionContinuedAsNew` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withWorkflowExecutionContinuedAsNewEventAttributes

    public HistoryEvent withWorkflowExecutionContinuedAsNewEventAttributes(WorkflowExecutionContinuedAsNewEventAttributes workflowExecutionContinuedAsNewEventAttributes)

If the event is of type `WorkflowExecutionContinuedAsNew` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `workflowExecutionContinuedAsNewEventAttributes` - If the event is of type `WorkflowExecutionContinuedAsNew` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setContinueAsNewWorkflowExecutionFailedEventAttributes

    public void setContinueAsNewWorkflowExecutionFailedEventAttributes(ContinueAsNewWorkflowExecutionFailedEventAttributes continueAsNewWorkflowExecutionFailedEventAttributes)

If the event is of type `ContinueAsNewWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `continueAsNewWorkflowExecutionFailedEventAttributes` - If the event is of type `ContinueAsNewWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getContinueAsNewWorkflowExecutionFailedEventAttributes

    public ContinueAsNewWorkflowExecutionFailedEventAttributes getContinueAsNewWorkflowExecutionFailedEventAttributes()

If the event is of type `ContinueAsNewWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `ContinueAsNewWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withContinueAsNewWorkflowExecutionFailedEventAttributes

    public HistoryEvent withContinueAsNewWorkflowExecutionFailedEventAttributes(ContinueAsNewWorkflowExecutionFailedEventAttributes continueAsNewWorkflowExecutionFailedEventAttributes)

If the event is of type `ContinueAsNewWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `continueAsNewWorkflowExecutionFailedEventAttributes` - If the event is of type `ContinueAsNewWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setWorkflowExecutionTerminatedEventAttributes

    public void setWorkflowExecutionTerminatedEventAttributes(WorkflowExecutionTerminatedEventAttributes workflowExecutionTerminatedEventAttributes)

If the event is of type `WorkflowExecutionTerminated` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `workflowExecutionTerminatedEventAttributes` - If the event is of type `WorkflowExecutionTerminated` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getWorkflowExecutionTerminatedEventAttributes

    public WorkflowExecutionTerminatedEventAttributes getWorkflowExecutionTerminatedEventAttributes()

If the event is of type `WorkflowExecutionTerminated` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `WorkflowExecutionTerminated` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withWorkflowExecutionTerminatedEventAttributes

    public HistoryEvent withWorkflowExecutionTerminatedEventAttributes(WorkflowExecutionTerminatedEventAttributes workflowExecutionTerminatedEventAttributes)

If the event is of type `WorkflowExecutionTerminated` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `workflowExecutionTerminatedEventAttributes` - If the event is of type `WorkflowExecutionTerminated` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setWorkflowExecutionCancelRequestedEventAttributes

    public void setWorkflowExecutionCancelRequestedEventAttributes(WorkflowExecutionCancelRequestedEventAttributes workflowExecutionCancelRequestedEventAttributes)

If the event is of type `WorkflowExecutionCancelRequested` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `workflowExecutionCancelRequestedEventAttributes` - If the event is of type `WorkflowExecutionCancelRequested` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getWorkflowExecutionCancelRequestedEventAttributes

    public WorkflowExecutionCancelRequestedEventAttributes getWorkflowExecutionCancelRequestedEventAttributes()

If the event is of type `WorkflowExecutionCancelRequested` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `WorkflowExecutionCancelRequested` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withWorkflowExecutionCancelRequestedEventAttributes

    public HistoryEvent withWorkflowExecutionCancelRequestedEventAttributes(WorkflowExecutionCancelRequestedEventAttributes workflowExecutionCancelRequestedEventAttributes)

If the event is of type `WorkflowExecutionCancelRequested` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `workflowExecutionCancelRequestedEventAttributes` - If the event is of type `WorkflowExecutionCancelRequested` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDecisionTaskScheduledEventAttributes

    public void setDecisionTaskScheduledEventAttributes(DecisionTaskScheduledEventAttributes decisionTaskScheduledEventAttributes)

If the event is of type `DecisionTaskScheduled` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `decisionTaskScheduledEventAttributes` - If the event is of type `DecisionTaskScheduled` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getDecisionTaskScheduledEventAttributes

    public DecisionTaskScheduledEventAttributes getDecisionTaskScheduledEventAttributes()

If the event is of type `DecisionTaskScheduled` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `DecisionTaskScheduled` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withDecisionTaskScheduledEventAttributes

    public HistoryEvent withDecisionTaskScheduledEventAttributes(DecisionTaskScheduledEventAttributes decisionTaskScheduledEventAttributes)

If the event is of type `DecisionTaskScheduled` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `decisionTaskScheduledEventAttributes` - If the event is of type `DecisionTaskScheduled` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDecisionTaskStartedEventAttributes

    public void setDecisionTaskStartedEventAttributes(DecisionTaskStartedEventAttributes decisionTaskStartedEventAttributes)

If the event is of type `DecisionTaskStarted` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `decisionTaskStartedEventAttributes` - If the event is of type `DecisionTaskStarted` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getDecisionTaskStartedEventAttributes

    public DecisionTaskStartedEventAttributes getDecisionTaskStartedEventAttributes()

If the event is of type `DecisionTaskStarted` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `DecisionTaskStarted` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withDecisionTaskStartedEventAttributes

    public HistoryEvent withDecisionTaskStartedEventAttributes(DecisionTaskStartedEventAttributes decisionTaskStartedEventAttributes)

If the event is of type `DecisionTaskStarted` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `decisionTaskStartedEventAttributes` - If the event is of type `DecisionTaskStarted` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDecisionTaskCompletedEventAttributes

    public void setDecisionTaskCompletedEventAttributes(DecisionTaskCompletedEventAttributes decisionTaskCompletedEventAttributes)

If the event is of type `DecisionTaskCompleted` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `decisionTaskCompletedEventAttributes` - If the event is of type `DecisionTaskCompleted` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getDecisionTaskCompletedEventAttributes

    public DecisionTaskCompletedEventAttributes getDecisionTaskCompletedEventAttributes()

If the event is of type `DecisionTaskCompleted` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `DecisionTaskCompleted` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withDecisionTaskCompletedEventAttributes

    public HistoryEvent withDecisionTaskCompletedEventAttributes(DecisionTaskCompletedEventAttributes decisionTaskCompletedEventAttributes)

If the event is of type `DecisionTaskCompleted` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `decisionTaskCompletedEventAttributes` - If the event is of type `DecisionTaskCompleted` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDecisionTaskTimedOutEventAttributes

    public void setDecisionTaskTimedOutEventAttributes(DecisionTaskTimedOutEventAttributes decisionTaskTimedOutEventAttributes)

If the event is of type `DecisionTaskTimedOut` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `decisionTaskTimedOutEventAttributes` - If the event is of type `DecisionTaskTimedOut` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getDecisionTaskTimedOutEventAttributes

    public DecisionTaskTimedOutEventAttributes getDecisionTaskTimedOutEventAttributes()

If the event is of type `DecisionTaskTimedOut` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `DecisionTaskTimedOut` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withDecisionTaskTimedOutEventAttributes

    public HistoryEvent withDecisionTaskTimedOutEventAttributes(DecisionTaskTimedOutEventAttributes decisionTaskTimedOutEventAttributes)

If the event is of type `DecisionTaskTimedOut` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `decisionTaskTimedOutEventAttributes` - If the event is of type `DecisionTaskTimedOut` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setActivityTaskScheduledEventAttributes

    public void setActivityTaskScheduledEventAttributes(ActivityTaskScheduledEventAttributes activityTaskScheduledEventAttributes)

If the event is of type `ActivityTaskScheduled` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `activityTaskScheduledEventAttributes` - If the event is of type `ActivityTaskScheduled` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getActivityTaskScheduledEventAttributes

    public ActivityTaskScheduledEventAttributes getActivityTaskScheduledEventAttributes()

If the event is of type `ActivityTaskScheduled` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `ActivityTaskScheduled` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withActivityTaskScheduledEventAttributes

    public HistoryEvent withActivityTaskScheduledEventAttributes(ActivityTaskScheduledEventAttributes activityTaskScheduledEventAttributes)

If the event is of type `ActivityTaskScheduled` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `activityTaskScheduledEventAttributes` - If the event is of type `ActivityTaskScheduled` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setActivityTaskStartedEventAttributes

    public void setActivityTaskStartedEventAttributes(ActivityTaskStartedEventAttributes activityTaskStartedEventAttributes)

If the event is of type `ActivityTaskStarted` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `activityTaskStartedEventAttributes` - If the event is of type `ActivityTaskStarted` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getActivityTaskStartedEventAttributes

    public ActivityTaskStartedEventAttributes getActivityTaskStartedEventAttributes()

If the event is of type `ActivityTaskStarted` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `ActivityTaskStarted` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withActivityTaskStartedEventAttributes

    public HistoryEvent withActivityTaskStartedEventAttributes(ActivityTaskStartedEventAttributes activityTaskStartedEventAttributes)

If the event is of type `ActivityTaskStarted` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `activityTaskStartedEventAttributes` - If the event is of type `ActivityTaskStarted` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setActivityTaskCompletedEventAttributes

    public void setActivityTaskCompletedEventAttributes(ActivityTaskCompletedEventAttributes activityTaskCompletedEventAttributes)

If the event is of type `ActivityTaskCompleted` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `activityTaskCompletedEventAttributes` - If the event is of type `ActivityTaskCompleted` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getActivityTaskCompletedEventAttributes

    public ActivityTaskCompletedEventAttributes getActivityTaskCompletedEventAttributes()

If the event is of type `ActivityTaskCompleted` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `ActivityTaskCompleted` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withActivityTaskCompletedEventAttributes

    public HistoryEvent withActivityTaskCompletedEventAttributes(ActivityTaskCompletedEventAttributes activityTaskCompletedEventAttributes)

If the event is of type `ActivityTaskCompleted` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `activityTaskCompletedEventAttributes` - If the event is of type `ActivityTaskCompleted` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setActivityTaskFailedEventAttributes

    public void setActivityTaskFailedEventAttributes(ActivityTaskFailedEventAttributes activityTaskFailedEventAttributes)

If the event is of type `ActivityTaskFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `activityTaskFailedEventAttributes` - If the event is of type `ActivityTaskFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getActivityTaskFailedEventAttributes

    public ActivityTaskFailedEventAttributes getActivityTaskFailedEventAttributes()

If the event is of type `ActivityTaskFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `ActivityTaskFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withActivityTaskFailedEventAttributes

    public HistoryEvent withActivityTaskFailedEventAttributes(ActivityTaskFailedEventAttributes activityTaskFailedEventAttributes)

If the event is of type `ActivityTaskFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `activityTaskFailedEventAttributes` - If the event is of type `ActivityTaskFailed` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setActivityTaskTimedOutEventAttributes

    public void setActivityTaskTimedOutEventAttributes(ActivityTaskTimedOutEventAttributes activityTaskTimedOutEventAttributes)

If the event is of type `ActivityTaskTimedOut` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `activityTaskTimedOutEventAttributes` - If the event is of type `ActivityTaskTimedOut` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getActivityTaskTimedOutEventAttributes

    public ActivityTaskTimedOutEventAttributes getActivityTaskTimedOutEventAttributes()

If the event is of type `ActivityTaskTimedOut` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `ActivityTaskTimedOut` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withActivityTaskTimedOutEventAttributes

    public HistoryEvent withActivityTaskTimedOutEventAttributes(ActivityTaskTimedOutEventAttributes activityTaskTimedOutEventAttributes)

If the event is of type `ActivityTaskTimedOut` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `activityTaskTimedOutEventAttributes` - If the event is of type `ActivityTaskTimedOut` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setActivityTaskCanceledEventAttributes

    public void setActivityTaskCanceledEventAttributes(ActivityTaskCanceledEventAttributes activityTaskCanceledEventAttributes)

If the event is of type `ActivityTaskCanceled` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `activityTaskCanceledEventAttributes` - If the event is of type `ActivityTaskCanceled` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getActivityTaskCanceledEventAttributes

    public ActivityTaskCanceledEventAttributes getActivityTaskCanceledEventAttributes()

If the event is of type `ActivityTaskCanceled` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `ActivityTaskCanceled` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withActivityTaskCanceledEventAttributes

    public HistoryEvent withActivityTaskCanceledEventAttributes(ActivityTaskCanceledEventAttributes activityTaskCanceledEventAttributes)

If the event is of type `ActivityTaskCanceled` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `activityTaskCanceledEventAttributes` - If the event is of type `ActivityTaskCanceled` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setActivityTaskCancelRequestedEventAttributes

    public void setActivityTaskCancelRequestedEventAttributes(ActivityTaskCancelRequestedEventAttributes activityTaskCancelRequestedEventAttributes)

If the event is of type `ActivityTaskcancelRequested` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `activityTaskCancelRequestedEventAttributes` - If the event is of type `ActivityTaskcancelRequested` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getActivityTaskCancelRequestedEventAttributes

    public ActivityTaskCancelRequestedEventAttributes getActivityTaskCancelRequestedEventAttributes()

If the event is of type `ActivityTaskcancelRequested` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `ActivityTaskcancelRequested` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withActivityTaskCancelRequestedEventAttributes

    public HistoryEvent withActivityTaskCancelRequestedEventAttributes(ActivityTaskCancelRequestedEventAttributes activityTaskCancelRequestedEventAttributes)

If the event is of type `ActivityTaskcancelRequested` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `activityTaskCancelRequestedEventAttributes` - If the event is of type `ActivityTaskcancelRequested` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setWorkflowExecutionSignaledEventAttributes

    public void setWorkflowExecutionSignaledEventAttributes(WorkflowExecutionSignaledEventAttributes workflowExecutionSignaledEventAttributes)

If the event is of type `WorkflowExecutionSignaled` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `workflowExecutionSignaledEventAttributes` - If the event is of type `WorkflowExecutionSignaled` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getWorkflowExecutionSignaledEventAttributes

    public WorkflowExecutionSignaledEventAttributes getWorkflowExecutionSignaledEventAttributes()

If the event is of type `WorkflowExecutionSignaled` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `WorkflowExecutionSignaled` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withWorkflowExecutionSignaledEventAttributes

    public HistoryEvent withWorkflowExecutionSignaledEventAttributes(WorkflowExecutionSignaledEventAttributes workflowExecutionSignaledEventAttributes)

If the event is of type `WorkflowExecutionSignaled` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `workflowExecutionSignaledEventAttributes` - If the event is of type `WorkflowExecutionSignaled` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMarkerRecordedEventAttributes

    public void setMarkerRecordedEventAttributes(MarkerRecordedEventAttributes markerRecordedEventAttributes)

If the event is of type `MarkerRecorded` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `markerRecordedEventAttributes` - If the event is of type `MarkerRecorded` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getMarkerRecordedEventAttributes

    public MarkerRecordedEventAttributes getMarkerRecordedEventAttributes()

If the event is of type `MarkerRecorded` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `MarkerRecorded` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withMarkerRecordedEventAttributes

    public HistoryEvent withMarkerRecordedEventAttributes(MarkerRecordedEventAttributes markerRecordedEventAttributes)

If the event is of type `MarkerRecorded` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `markerRecordedEventAttributes` - If the event is of type `MarkerRecorded` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRecordMarkerFailedEventAttributes

    public void setRecordMarkerFailedEventAttributes(RecordMarkerFailedEventAttributes recordMarkerFailedEventAttributes)

If the event is of type `DecisionTaskFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `recordMarkerFailedEventAttributes` - If the event is of type `DecisionTaskFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getRecordMarkerFailedEventAttributes

    public RecordMarkerFailedEventAttributes getRecordMarkerFailedEventAttributes()

If the event is of type `DecisionTaskFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `DecisionTaskFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withRecordMarkerFailedEventAttributes

    public HistoryEvent withRecordMarkerFailedEventAttributes(RecordMarkerFailedEventAttributes recordMarkerFailedEventAttributes)

If the event is of type `DecisionTaskFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `recordMarkerFailedEventAttributes` - If the event is of type `DecisionTaskFailed` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTimerStartedEventAttributes

    public void setTimerStartedEventAttributes(TimerStartedEventAttributes timerStartedEventAttributes)

If the event is of type `TimerStarted` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `timerStartedEventAttributes` - If the event is of type `TimerStarted` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getTimerStartedEventAttributes

    public TimerStartedEventAttributes getTimerStartedEventAttributes()

If the event is of type `TimerStarted` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `TimerStarted` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withTimerStartedEventAttributes

    public HistoryEvent withTimerStartedEventAttributes(TimerStartedEventAttributes timerStartedEventAttributes)

If the event is of type `TimerStarted` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `timerStartedEventAttributes` - If the event is of type `TimerStarted` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTimerFiredEventAttributes

    public void setTimerFiredEventAttributes(TimerFiredEventAttributes timerFiredEventAttributes)

If the event is of type `TimerFired` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `timerFiredEventAttributes` - If the event is of type `TimerFired` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getTimerFiredEventAttributes

    public TimerFiredEventAttributes getTimerFiredEventAttributes()

If the event is of type `TimerFired` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `TimerFired` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withTimerFiredEventAttributes

    public HistoryEvent withTimerFiredEventAttributes(TimerFiredEventAttributes timerFiredEventAttributes)

If the event is of type `TimerFired` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `timerFiredEventAttributes` - If the event is of type `TimerFired` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTimerCanceledEventAttributes

    public void setTimerCanceledEventAttributes(TimerCanceledEventAttributes timerCanceledEventAttributes)

If the event is of type `TimerCanceled` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `timerCanceledEventAttributes` - If the event is of type `TimerCanceled` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getTimerCanceledEventAttributes

    public TimerCanceledEventAttributes getTimerCanceledEventAttributes()

If the event is of type `TimerCanceled` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `TimerCanceled` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withTimerCanceledEventAttributes

    public HistoryEvent withTimerCanceledEventAttributes(TimerCanceledEventAttributes timerCanceledEventAttributes)

If the event is of type `TimerCanceled` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `timerCanceledEventAttributes` - If the event is of type `TimerCanceled` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStartChildWorkflowExecutionInitiatedEventAttributes

    public void setStartChildWorkflowExecutionInitiatedEventAttributes(StartChildWorkflowExecutionInitiatedEventAttributes startChildWorkflowExecutionInitiatedEventAttributes)

If the event is of type `StartChildWorkflowExecutionInitiated` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `startChildWorkflowExecutionInitiatedEventAttributes` - If the event is of type `StartChildWorkflowExecutionInitiated` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getStartChildWorkflowExecutionInitiatedEventAttributes

    public StartChildWorkflowExecutionInitiatedEventAttributes getStartChildWorkflowExecutionInitiatedEventAttributes()

If the event is of type `StartChildWorkflowExecutionInitiated` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `StartChildWorkflowExecutionInitiated` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withStartChildWorkflowExecutionInitiatedEventAttributes

    public HistoryEvent withStartChildWorkflowExecutionInitiatedEventAttributes(StartChildWorkflowExecutionInitiatedEventAttributes startChildWorkflowExecutionInitiatedEventAttributes)

If the event is of type `StartChildWorkflowExecutionInitiated` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `startChildWorkflowExecutionInitiatedEventAttributes` - If the event is of type `StartChildWorkflowExecutionInitiated` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setChildWorkflowExecutionStartedEventAttributes

    public void setChildWorkflowExecutionStartedEventAttributes(ChildWorkflowExecutionStartedEventAttributes childWorkflowExecutionStartedEventAttributes)

If the event is of type `ChildWorkflowExecutionStarted` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `childWorkflowExecutionStartedEventAttributes` - If the event is of type `ChildWorkflowExecutionStarted` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getChildWorkflowExecutionStartedEventAttributes

    public ChildWorkflowExecutionStartedEventAttributes getChildWorkflowExecutionStartedEventAttributes()

If the event is of type `ChildWorkflowExecutionStarted` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `ChildWorkflowExecutionStarted` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withChildWorkflowExecutionStartedEventAttributes

    public HistoryEvent withChildWorkflowExecutionStartedEventAttributes(ChildWorkflowExecutionStartedEventAttributes childWorkflowExecutionStartedEventAttributes)

If the event is of type `ChildWorkflowExecutionStarted` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `childWorkflowExecutionStartedEventAttributes` - If the event is of type `ChildWorkflowExecutionStarted` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setChildWorkflowExecutionCompletedEventAttributes

    public void setChildWorkflowExecutionCompletedEventAttributes(ChildWorkflowExecutionCompletedEventAttributes childWorkflowExecutionCompletedEventAttributes)

If the event is of type `ChildWorkflowExecutionCompleted` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `childWorkflowExecutionCompletedEventAttributes` - If the event is of type `ChildWorkflowExecutionCompleted` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getChildWorkflowExecutionCompletedEventAttributes

    public ChildWorkflowExecutionCompletedEventAttributes getChildWorkflowExecutionCompletedEventAttributes()

If the event is of type `ChildWorkflowExecutionCompleted` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `ChildWorkflowExecutionCompleted` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withChildWorkflowExecutionCompletedEventAttributes

    public HistoryEvent withChildWorkflowExecutionCompletedEventAttributes(ChildWorkflowExecutionCompletedEventAttributes childWorkflowExecutionCompletedEventAttributes)

If the event is of type `ChildWorkflowExecutionCompleted` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `childWorkflowExecutionCompletedEventAttributes` - If the event is of type `ChildWorkflowExecutionCompleted` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setChildWorkflowExecutionFailedEventAttributes

    public void setChildWorkflowExecutionFailedEventAttributes(ChildWorkflowExecutionFailedEventAttributes childWorkflowExecutionFailedEventAttributes)

If the event is of type `ChildWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `childWorkflowExecutionFailedEventAttributes` - If the event is of type `ChildWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getChildWorkflowExecutionFailedEventAttributes

    public ChildWorkflowExecutionFailedEventAttributes getChildWorkflowExecutionFailedEventAttributes()

If the event is of type `ChildWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `ChildWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withChildWorkflowExecutionFailedEventAttributes

    public HistoryEvent withChildWorkflowExecutionFailedEventAttributes(ChildWorkflowExecutionFailedEventAttributes childWorkflowExecutionFailedEventAttributes)

If the event is of type `ChildWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `childWorkflowExecutionFailedEventAttributes` - If the event is of type `ChildWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setChildWorkflowExecutionTimedOutEventAttributes

    public void setChildWorkflowExecutionTimedOutEventAttributes(ChildWorkflowExecutionTimedOutEventAttributes childWorkflowExecutionTimedOutEventAttributes)

If the event is of type `ChildWorkflowExecutionTimedOut` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `childWorkflowExecutionTimedOutEventAttributes` - If the event is of type `ChildWorkflowExecutionTimedOut` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getChildWorkflowExecutionTimedOutEventAttributes

    public ChildWorkflowExecutionTimedOutEventAttributes getChildWorkflowExecutionTimedOutEventAttributes()

If the event is of type `ChildWorkflowExecutionTimedOut` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `ChildWorkflowExecutionTimedOut` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withChildWorkflowExecutionTimedOutEventAttributes

    public HistoryEvent withChildWorkflowExecutionTimedOutEventAttributes(ChildWorkflowExecutionTimedOutEventAttributes childWorkflowExecutionTimedOutEventAttributes)

If the event is of type `ChildWorkflowExecutionTimedOut` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `childWorkflowExecutionTimedOutEventAttributes` - If the event is of type `ChildWorkflowExecutionTimedOut` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setChildWorkflowExecutionCanceledEventAttributes

    public void setChildWorkflowExecutionCanceledEventAttributes(ChildWorkflowExecutionCanceledEventAttributes childWorkflowExecutionCanceledEventAttributes)

If the event is of type `ChildWorkflowExecutionCanceled` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `childWorkflowExecutionCanceledEventAttributes` - If the event is of type `ChildWorkflowExecutionCanceled` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getChildWorkflowExecutionCanceledEventAttributes

    public ChildWorkflowExecutionCanceledEventAttributes getChildWorkflowExecutionCanceledEventAttributes()

If the event is of type `ChildWorkflowExecutionCanceled` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `ChildWorkflowExecutionCanceled` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withChildWorkflowExecutionCanceledEventAttributes

    public HistoryEvent withChildWorkflowExecutionCanceledEventAttributes(ChildWorkflowExecutionCanceledEventAttributes childWorkflowExecutionCanceledEventAttributes)

If the event is of type `ChildWorkflowExecutionCanceled` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `childWorkflowExecutionCanceledEventAttributes` - If the event is of type `ChildWorkflowExecutionCanceled` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setChildWorkflowExecutionTerminatedEventAttributes

    public void setChildWorkflowExecutionTerminatedEventAttributes(ChildWorkflowExecutionTerminatedEventAttributes childWorkflowExecutionTerminatedEventAttributes)

If the event is of type `ChildWorkflowExecutionTerminated` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `childWorkflowExecutionTerminatedEventAttributes` - If the event is of type `ChildWorkflowExecutionTerminated` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getChildWorkflowExecutionTerminatedEventAttributes

    public ChildWorkflowExecutionTerminatedEventAttributes getChildWorkflowExecutionTerminatedEventAttributes()

If the event is of type `ChildWorkflowExecutionTerminated` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `ChildWorkflowExecutionTerminated` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withChildWorkflowExecutionTerminatedEventAttributes

    public HistoryEvent withChildWorkflowExecutionTerminatedEventAttributes(ChildWorkflowExecutionTerminatedEventAttributes childWorkflowExecutionTerminatedEventAttributes)

If the event is of type `ChildWorkflowExecutionTerminated` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `childWorkflowExecutionTerminatedEventAttributes` - If the event is of type `ChildWorkflowExecutionTerminated` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setSignalExternalWorkflowExecutionInitiatedEventAttributes

    public void setSignalExternalWorkflowExecutionInitiatedEventAttributes(SignalExternalWorkflowExecutionInitiatedEventAttributes signalExternalWorkflowExecutionInitiatedEventAttributes)

If the event is of type `SignalExternalWorkflowExecutionInitiated` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `signalExternalWorkflowExecutionInitiatedEventAttributes` - If the event is of type `SignalExternalWorkflowExecutionInitiated` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getSignalExternalWorkflowExecutionInitiatedEventAttributes

    public SignalExternalWorkflowExecutionInitiatedEventAttributes getSignalExternalWorkflowExecutionInitiatedEventAttributes()

If the event is of type `SignalExternalWorkflowExecutionInitiated` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `SignalExternalWorkflowExecutionInitiated` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withSignalExternalWorkflowExecutionInitiatedEventAttributes

    public HistoryEvent withSignalExternalWorkflowExecutionInitiatedEventAttributes(SignalExternalWorkflowExecutionInitiatedEventAttributes signalExternalWorkflowExecutionInitiatedEventAttributes)

If the event is of type `SignalExternalWorkflowExecutionInitiated` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `signalExternalWorkflowExecutionInitiatedEventAttributes` - If the event is of type `SignalExternalWorkflowExecutionInitiated` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setExternalWorkflowExecutionSignaledEventAttributes

    public void setExternalWorkflowExecutionSignaledEventAttributes(ExternalWorkflowExecutionSignaledEventAttributes externalWorkflowExecutionSignaledEventAttributes)

If the event is of type `ExternalWorkflowExecutionSignaled` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `externalWorkflowExecutionSignaledEventAttributes` - If the event is of type `ExternalWorkflowExecutionSignaled` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getExternalWorkflowExecutionSignaledEventAttributes

    public ExternalWorkflowExecutionSignaledEventAttributes getExternalWorkflowExecutionSignaledEventAttributes()

If the event is of type `ExternalWorkflowExecutionSignaled` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `ExternalWorkflowExecutionSignaled` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withExternalWorkflowExecutionSignaledEventAttributes

    public HistoryEvent withExternalWorkflowExecutionSignaledEventAttributes(ExternalWorkflowExecutionSignaledEventAttributes externalWorkflowExecutionSignaledEventAttributes)

If the event is of type `ExternalWorkflowExecutionSignaled` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `externalWorkflowExecutionSignaledEventAttributes` - If the event is of type `ExternalWorkflowExecutionSignaled` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setSignalExternalWorkflowExecutionFailedEventAttributes

    public void setSignalExternalWorkflowExecutionFailedEventAttributes(SignalExternalWorkflowExecutionFailedEventAttributes signalExternalWorkflowExecutionFailedEventAttributes)

If the event is of type `SignalExternalWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `signalExternalWorkflowExecutionFailedEventAttributes` - If the event is of type `SignalExternalWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getSignalExternalWorkflowExecutionFailedEventAttributes

    public SignalExternalWorkflowExecutionFailedEventAttributes getSignalExternalWorkflowExecutionFailedEventAttributes()

If the event is of type `SignalExternalWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `SignalExternalWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withSignalExternalWorkflowExecutionFailedEventAttributes

    public HistoryEvent withSignalExternalWorkflowExecutionFailedEventAttributes(SignalExternalWorkflowExecutionFailedEventAttributes signalExternalWorkflowExecutionFailedEventAttributes)

If the event is of type `SignalExternalWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `signalExternalWorkflowExecutionFailedEventAttributes` - If the event is of type `SignalExternalWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setExternalWorkflowExecutionCancelRequestedEventAttributes

    public void setExternalWorkflowExecutionCancelRequestedEventAttributes(ExternalWorkflowExecutionCancelRequestedEventAttributes externalWorkflowExecutionCancelRequestedEventAttributes)

If the event is of type `ExternalWorkflowExecutionCancelRequested` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `externalWorkflowExecutionCancelRequestedEventAttributes` - If the event is of type `ExternalWorkflowExecutionCancelRequested` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getExternalWorkflowExecutionCancelRequestedEventAttributes

    public ExternalWorkflowExecutionCancelRequestedEventAttributes getExternalWorkflowExecutionCancelRequestedEventAttributes()

If the event is of type `ExternalWorkflowExecutionCancelRequested` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `ExternalWorkflowExecutionCancelRequested` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withExternalWorkflowExecutionCancelRequestedEventAttributes

    public HistoryEvent withExternalWorkflowExecutionCancelRequestedEventAttributes(ExternalWorkflowExecutionCancelRequestedEventAttributes externalWorkflowExecutionCancelRequestedEventAttributes)

If the event is of type `ExternalWorkflowExecutionCancelRequested` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `externalWorkflowExecutionCancelRequestedEventAttributes` - If the event is of type `ExternalWorkflowExecutionCancelRequested` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRequestCancelExternalWorkflowExecutionInitiatedEventAttributes

    public void setRequestCancelExternalWorkflowExecutionInitiatedEventAttributes(RequestCancelExternalWorkflowExecutionInitiatedEventAttributes requestCancelExternalWorkflowExecutionInitiatedEventAttributes)

If the event is of type `RequestCancelExternalWorkflowExecutionInitiated` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `requestCancelExternalWorkflowExecutionInitiatedEventAttributes` - If the event is of type `RequestCancelExternalWorkflowExecutionInitiated` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getRequestCancelExternalWorkflowExecutionInitiatedEventAttributes

    public RequestCancelExternalWorkflowExecutionInitiatedEventAttributes getRequestCancelExternalWorkflowExecutionInitiatedEventAttributes()

If the event is of type `RequestCancelExternalWorkflowExecutionInitiated` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `RequestCancelExternalWorkflowExecutionInitiated` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withRequestCancelExternalWorkflowExecutionInitiatedEventAttributes

    public HistoryEvent withRequestCancelExternalWorkflowExecutionInitiatedEventAttributes(RequestCancelExternalWorkflowExecutionInitiatedEventAttributes requestCancelExternalWorkflowExecutionInitiatedEventAttributes)

If the event is of type `RequestCancelExternalWorkflowExecutionInitiated` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `requestCancelExternalWorkflowExecutionInitiatedEventAttributes` - If the event is of type `RequestCancelExternalWorkflowExecutionInitiated` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRequestCancelExternalWorkflowExecutionFailedEventAttributes

    public void setRequestCancelExternalWorkflowExecutionFailedEventAttributes(RequestCancelExternalWorkflowExecutionFailedEventAttributes requestCancelExternalWorkflowExecutionFailedEventAttributes)

If the event is of type `RequestCancelExternalWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `requestCancelExternalWorkflowExecutionFailedEventAttributes` - If the event is of type `RequestCancelExternalWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getRequestCancelExternalWorkflowExecutionFailedEventAttributes

    public RequestCancelExternalWorkflowExecutionFailedEventAttributes getRequestCancelExternalWorkflowExecutionFailedEventAttributes()

If the event is of type `RequestCancelExternalWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `RequestCancelExternalWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withRequestCancelExternalWorkflowExecutionFailedEventAttributes

    public HistoryEvent withRequestCancelExternalWorkflowExecutionFailedEventAttributes(RequestCancelExternalWorkflowExecutionFailedEventAttributes requestCancelExternalWorkflowExecutionFailedEventAttributes)

If the event is of type `RequestCancelExternalWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `requestCancelExternalWorkflowExecutionFailedEventAttributes` - If the event is of type `RequestCancelExternalWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setScheduleActivityTaskFailedEventAttributes

    public void setScheduleActivityTaskFailedEventAttributes(ScheduleActivityTaskFailedEventAttributes scheduleActivityTaskFailedEventAttributes)

If the event is of type `ScheduleActivityTaskFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `scheduleActivityTaskFailedEventAttributes` - If the event is of type `ScheduleActivityTaskFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getScheduleActivityTaskFailedEventAttributes

    public ScheduleActivityTaskFailedEventAttributes getScheduleActivityTaskFailedEventAttributes()

If the event is of type `ScheduleActivityTaskFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `ScheduleActivityTaskFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withScheduleActivityTaskFailedEventAttributes

    public HistoryEvent withScheduleActivityTaskFailedEventAttributes(ScheduleActivityTaskFailedEventAttributes scheduleActivityTaskFailedEventAttributes)

If the event is of type `ScheduleActivityTaskFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `scheduleActivityTaskFailedEventAttributes` - If the event is of type `ScheduleActivityTaskFailed` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRequestCancelActivityTaskFailedEventAttributes

    public void setRequestCancelActivityTaskFailedEventAttributes(RequestCancelActivityTaskFailedEventAttributes requestCancelActivityTaskFailedEventAttributes)

If the event is of type `RequestCancelActivityTaskFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `requestCancelActivityTaskFailedEventAttributes` - If the event is of type `RequestCancelActivityTaskFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getRequestCancelActivityTaskFailedEventAttributes

    public RequestCancelActivityTaskFailedEventAttributes getRequestCancelActivityTaskFailedEventAttributes()

If the event is of type `RequestCancelActivityTaskFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `RequestCancelActivityTaskFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withRequestCancelActivityTaskFailedEventAttributes

    public HistoryEvent withRequestCancelActivityTaskFailedEventAttributes(RequestCancelActivityTaskFailedEventAttributes requestCancelActivityTaskFailedEventAttributes)

If the event is of type `RequestCancelActivityTaskFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `requestCancelActivityTaskFailedEventAttributes` - If the event is of type `RequestCancelActivityTaskFailed` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStartTimerFailedEventAttributes

    public void setStartTimerFailedEventAttributes(StartTimerFailedEventAttributes startTimerFailedEventAttributes)

If the event is of type `StartTimerFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `startTimerFailedEventAttributes` - If the event is of type `StartTimerFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getStartTimerFailedEventAttributes

    public StartTimerFailedEventAttributes getStartTimerFailedEventAttributes()

If the event is of type `StartTimerFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `StartTimerFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withStartTimerFailedEventAttributes

    public HistoryEvent withStartTimerFailedEventAttributes(StartTimerFailedEventAttributes startTimerFailedEventAttributes)

If the event is of type `StartTimerFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `startTimerFailedEventAttributes` - If the event is of type `StartTimerFailed` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCancelTimerFailedEventAttributes

    public void setCancelTimerFailedEventAttributes(CancelTimerFailedEventAttributes cancelTimerFailedEventAttributes)

If the event is of type `CancelTimerFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `cancelTimerFailedEventAttributes` - If the event is of type `CancelTimerFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getCancelTimerFailedEventAttributes

    public CancelTimerFailedEventAttributes getCancelTimerFailedEventAttributes()

If the event is of type `CancelTimerFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `CancelTimerFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withCancelTimerFailedEventAttributes

    public HistoryEvent withCancelTimerFailedEventAttributes(CancelTimerFailedEventAttributes cancelTimerFailedEventAttributes)

If the event is of type `CancelTimerFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `cancelTimerFailedEventAttributes` - If the event is of type `CancelTimerFailed` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStartChildWorkflowExecutionFailedEventAttributes

    public void setStartChildWorkflowExecutionFailedEventAttributes(StartChildWorkflowExecutionFailedEventAttributes startChildWorkflowExecutionFailedEventAttributes)

If the event is of type `StartChildWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `startChildWorkflowExecutionFailedEventAttributes` - If the event is of type `StartChildWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

#### getStartChildWorkflowExecutionFailedEventAttributes

    public StartChildWorkflowExecutionFailedEventAttributes getStartChildWorkflowExecutionFailedEventAttributes()

If the event is of type `StartChildWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Returns:
  If the event is of type `StartChildWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

#### withStartChildWorkflowExecutionFailedEventAttributes

    public HistoryEvent withStartChildWorkflowExecutionFailedEventAttributes(StartChildWorkflowExecutionFailedEventAttributes startChildWorkflowExecutionFailedEventAttributes)

If the event is of type `StartChildWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.

Parameters:
  `startChildWorkflowExecutionFailedEventAttributes` - If the event is of type `StartChildWorkflowExecutionFailed` then this member is set and provides detailed information about the event. It is not set for other event types.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLambdaFunctionScheduledEventAttributes

    public void setLambdaFunctionScheduledEventAttributes(LambdaFunctionScheduledEventAttributes lambdaFunctionScheduledEventAttributes)

Parameters:
  `lambdaFunctionScheduledEventAttributes` -

#### getLambdaFunctionScheduledEventAttributes

    public LambdaFunctionScheduledEventAttributes getLambdaFunctionScheduledEventAttributes()

Returns:

#### withLambdaFunctionScheduledEventAttributes

    public HistoryEvent withLambdaFunctionScheduledEventAttributes(LambdaFunctionScheduledEventAttributes lambdaFunctionScheduledEventAttributes)

Parameters:
  `lambdaFunctionScheduledEventAttributes` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLambdaFunctionStartedEventAttributes

    public void setLambdaFunctionStartedEventAttributes(LambdaFunctionStartedEventAttributes lambdaFunctionStartedEventAttributes)

Parameters:
  `lambdaFunctionStartedEventAttributes` -

#### getLambdaFunctionStartedEventAttributes

    public LambdaFunctionStartedEventAttributes getLambdaFunctionStartedEventAttributes()

Returns:

#### withLambdaFunctionStartedEventAttributes

    public HistoryEvent withLambdaFunctionStartedEventAttributes(LambdaFunctionStartedEventAttributes lambdaFunctionStartedEventAttributes)

Parameters:
  `lambdaFunctionStartedEventAttributes` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLambdaFunctionCompletedEventAttributes

    public void setLambdaFunctionCompletedEventAttributes(LambdaFunctionCompletedEventAttributes lambdaFunctionCompletedEventAttributes)

Parameters:
  `lambdaFunctionCompletedEventAttributes` -

#### getLambdaFunctionCompletedEventAttributes

    public LambdaFunctionCompletedEventAttributes getLambdaFunctionCompletedEventAttributes()

Returns:

#### withLambdaFunctionCompletedEventAttributes

    public HistoryEvent withLambdaFunctionCompletedEventAttributes(LambdaFunctionCompletedEventAttributes lambdaFunctionCompletedEventAttributes)

Parameters:
  `lambdaFunctionCompletedEventAttributes` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLambdaFunctionFailedEventAttributes

    public void setLambdaFunctionFailedEventAttributes(LambdaFunctionFailedEventAttributes lambdaFunctionFailedEventAttributes)

Parameters:
  `lambdaFunctionFailedEventAttributes` -

#### getLambdaFunctionFailedEventAttributes

    public LambdaFunctionFailedEventAttributes getLambdaFunctionFailedEventAttributes()

Returns:

#### withLambdaFunctionFailedEventAttributes

    public HistoryEvent withLambdaFunctionFailedEventAttributes(LambdaFunctionFailedEventAttributes lambdaFunctionFailedEventAttributes)

Parameters:
  `lambdaFunctionFailedEventAttributes` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLambdaFunctionTimedOutEventAttributes

    public void setLambdaFunctionTimedOutEventAttributes(LambdaFunctionTimedOutEventAttributes lambdaFunctionTimedOutEventAttributes)

Parameters:
  `lambdaFunctionTimedOutEventAttributes` -

#### getLambdaFunctionTimedOutEventAttributes

    public LambdaFunctionTimedOutEventAttributes getLambdaFunctionTimedOutEventAttributes()

Returns:

#### withLambdaFunctionTimedOutEventAttributes

    public HistoryEvent withLambdaFunctionTimedOutEventAttributes(LambdaFunctionTimedOutEventAttributes lambdaFunctionTimedOutEventAttributes)

Parameters:
  `lambdaFunctionTimedOutEventAttributes` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setScheduleLambdaFunctionFailedEventAttributes

    public void setScheduleLambdaFunctionFailedEventAttributes(ScheduleLambdaFunctionFailedEventAttributes scheduleLambdaFunctionFailedEventAttributes)

Parameters:
  `scheduleLambdaFunctionFailedEventAttributes` -

#### getScheduleLambdaFunctionFailedEventAttributes

    public ScheduleLambdaFunctionFailedEventAttributes getScheduleLambdaFunctionFailedEventAttributes()

Returns:

#### withScheduleLambdaFunctionFailedEventAttributes

    public HistoryEvent withScheduleLambdaFunctionFailedEventAttributes(ScheduleLambdaFunctionFailedEventAttributes scheduleLambdaFunctionFailedEventAttributes)

Parameters:
  `scheduleLambdaFunctionFailedEventAttributes` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStartLambdaFunctionFailedEventAttributes

    public void setStartLambdaFunctionFailedEventAttributes(StartLambdaFunctionFailedEventAttributes startLambdaFunctionFailedEventAttributes)

Parameters:
  `startLambdaFunctionFailedEventAttributes` -

#### getStartLambdaFunctionFailedEventAttributes

    public StartLambdaFunctionFailedEventAttributes getStartLambdaFunctionFailedEventAttributes()

Returns:

#### withStartLambdaFunctionFailedEventAttributes

    public HistoryEvent withStartLambdaFunctionFailedEventAttributes(StartLambdaFunctionFailedEventAttributes startLambdaFunctionFailedEventAttributes)

Parameters:
  `startLambdaFunctionFailedEventAttributes` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public HistoryEvent clone()

Overrides:
  `clone` in class `Object`